# Set Form Lock Status

<mark style="color:green;">`PATCH`</mark> `https://api.sonorancms.com/v2/community/forms/1/lock`

> **Rate limit:** `18 requests per minute`

> Authenticated v2 endpoints are rate limited per credential rather than per IP address.

Update the lock status for a form template.

## Route Parameters

\| Name | Type | Required | Description |

\| --- | --- | --- | --- |

\| `templateId` | number | Yes | Target templateId. |

## Request Body

\| Name | Type | Required | Description |

\| --- | --- | --- | --- |

\| `state` | boolean | Yes | See example request for the shape. |

## Example Request

{% tabs %}
{% tab title="Sonoran.lua" %}

```lua
local Sonoran = require("sonoran")

local sonoran = Sonoran.createClient({
  product = Sonoran.productEnums.CMS,
  apiKey = "YOUR_API_KEY",
  communityId = "YOUR_COMMUNITY_ID",
  defaultServerId = 1,
  timeoutMs = 30000,
})

local templateId = 1
local payload = {
  ["state"] = true
}

local response = sonoran.cms:setFormLockV2(templateId, payload)

if response.success then
  print(response.data)
else
  print(response.reason)
end
```

{% endtab %}

{% tab title="Sonoran.js" %}

```javascript
const Sonoran = require("sonoran.js");

const instance = Sonoran.instance({
  apiKey: "YOUR_API_KEY",
  communityId: "YOUR_COMMUNITY_ID",
  product: Sonoran.productEnums.CMS,
  serverId: 1,
});

async function main() {
  const templateId = 1;
  const payload = {
  "state": true
};

  const response = await instance.cms.setFormLockV2(templateId, payload);

  if (response.success) {
    console.log(response.data);
  } else {
    console.error(response.reason);
  }
}

main().catch((error) => {
  console.error(error);
});
```

{% endtab %}

{% tab title="Sonoran.py" %}

```python
from sonoran import Instance, productEnums

instance = Instance(
    apiKey="YOUR_API_KEY",
    communityId="YOUR_COMMUNITY_ID",
    product=productEnums.CMS,
    serverId=1,
)

templateId = 1
payload = {
  "state": True
}

response = instance.cms.setFormLockV2(templateId, payload)

if response.success:
    print(response.data)
else:
    print(response.reason)
```

{% endtab %}

{% tab title="Sonoran.Net" %}

```csharp
using Sonoran;
using System.Text.Json;

using var sonoran = new SonoranClient(new SonoranClientOptions
{
    product = SonoranProduct.CMS,
    apiKey = "YOUR_API_KEY",
    communityId = "YOUR_COMMUNITY_ID",
    defaultServerId = 1
});

var templateId = 1;
var payload = new {
  state = true
};

var response = await sonoran.Cms.setFormLockV2(templateId, payload);

if (response.success)
{
    Console.WriteLine(JsonSerializer.Serialize(response.data));
}
else
{
    Console.WriteLine(response.reason);
}
```

{% endtab %}

{% tab title="OpenAPI" %}

```yaml
openapi: "3.0.3"

info:

  title: "Sonoran CMS v2 - Set Lock Status"

  version: "1.0.0"

  description: "Update the lock status for a form template."

servers:

  -

    url: "https://api.sonorancms.com"

paths:

  /v2/community/forms/{templateId}/lock:

    patch:

      summary: "Set Lock Status"

      operationId: "setFormLockStatus"

      parameters:

        -

          description: "Target form template id."

          name: "templateId"

          in: "path"

          schema:

            type: "integer"

          required: true

      requestBody:

        required: true

        content:

          application/json:

            schema:

              type: "object"

      security:

        -

          bearerAuth: []

      responses:

        "200":

          description: "Successful response"

          content:

            application/json:

              schema:

                type: "object"

              example:

                success: true

                data: "Successfully set the lock state for Example Form to: LOCKED"

                meta:

                  timestamp: "2026-04-15T00:00:00.000Z"

                  path: "/v2/community/forms/1/lock"

components:

  securitySchemes:

    bearerAuth:

      type: "http"

      scheme: "bearer"

      bearerFormat: "JWT"
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl --request PATCH \

  --url "https://api.sonorancms.com/v2/community/forms/1/lock" \

  --header "Authorization: Bearer YOUR_API_KEY" \

  --header "Accept: application/json" \

  --data '{"state":true}'
```

{% endtab %}
{% endtabs %}

## Response

The `data` value is a confirmation string returned by the community service after the lock state is updated.

```json

{

  "success": true,

  "data": "Successfully set the lock state for Example Form to: LOCKED",

  "meta": {

    "timestamp": "2026-04-15T00:00:00.000Z",

    "path": "/v2/community/forms/1/lock"

  }

}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints-v2/forms/set-lock-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
